/*
 * Copyright(c) 1997,1998 - All Rights Reserved
 *
 * See the COPYRIGHT file.
 */

#ifndef _option_h_
#define _option_h_

void	opt_init();
void	opt_cfg();

void	opt_free(struct custom_ *);
void	sic_logfile(struct log_ *);

char *	get_format(unsigned int, char *);
char *	get_nformat(unsigned int, char *);
int	get_option(unsigned int, char *);
int	get_flag(unsigned int, char *, unsigned int);
int	get_keyword(char *, char **, char *, unsigned int *);	
void	get_ignore(char *, char *, unsigned int *);

void	customize(unsigned int, char *, int, char **, unsigned int *);

#define	O_CLEAR		0x0001
#define	O_GET		0x0002
#define	O_SET		0x0004

#define	O_ON		0x0010
#define	O_OFF		0x0020
#define	O_MASK		0x0040
#define	O_KEYWORD	0x0080
#define	O_LOGFILE	0x0100

#define	O_WINDOW	0x1000
#define	O_SERVER	0x2000
#define	O_TOPLVL	0x4000
#define	O_DEFAULT	0x8000

#define	O_ACTIONMASK	0x0007
#define	O_TYPEMASK	0x01F0
#define	O_TARGETMASK	0xF000

#endif
